Package: org.codehaus.groovy.classgen.asm

## [Java] Class VariableSlotLoader

- org.codehaus.groovy.classgen.asm.VariableSlotLoader

-     public class VariableSlotLoader
      extends BytecodeExpression

  A bytecode expression that loads a variable from a specific slot index.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BytecodeExpression` | `NOP`
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `VariableSlotLoader(ClassNode type, int index, OperandStack os)` Creates a variable slot loader with a specified type and index.
    `VariableSlotLoader(int index, OperandStack os)` Creates a variable slot loader with a specified index.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `getIndex()` Returns the slot index of the variable.
    `` | `public void` | `visit(org.objectweb.asm.MethodVisitor mv)` * Emits bytecode instructions using the provided method visitor. * * Parameters: `visitor` - the ASM method visitor to generate bytecode

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BytecodeExpression` | `getText, transformExpression, visit, visit`
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public VariableSlotLoader(ClassNode type, int index, OperandStack os)

      Creates a variable slot loader with a specified type and index.

      Parameters:
        `type` - the type of the variable
        `index` - the slot index of the variable
        `os` - the operand stack

    - #### public VariableSlotLoader(int index, OperandStack os)

      Creates a variable slot loader with a specified index.

      Parameters:
        `index` - the slot index of the variable
        `os` - the operand stack

  - ### Method Detail

    - #### public int getIndex()

      Returns the slot index of the variable.

      Returns:
        the variable slot index

    - #### public void visit(org.objectweb.asm.MethodVisitor mv)

      * Emits bytecode instructions using the provided method visitor. * *

      Parameters:
        `visitor` - the ASM method visitor to generate bytecode